function [ ] = applylabcmap(rgb )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
cform=makecform('srgb2lab');
lab=applycform(rgb,cform);
nrows=size(lab,1);
lab=reshape(lab,[],3);
length=size(lab,1);
a=[lab(:,2) 1./lab(:,2) zeros(length,1)];
b=[lab(:,3) lab(:,3) 1./lab(:,3)];
ab=a+b;
ab=reshape(ab,nrows,[],3);
imshow(ab)
end

